RedeliveryHandler (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.jms.RedeliveryHandler interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms
Interface RedeliveryHandler

All Known Implementing Classes:
  CountingRedeliveryHandler, JmsXRedeliveryHandler

    public interface RedeliveryHandler

`RedeliveryHandler` is used to control how redelivered messages are processed by a connector. Typically, a messsage will be re-tried once or twice before throwing an exception. Then the exception strategy on the connector can be used to forward the message to a JMS queue or log the failure.

Method Summary
`void` | `handleRedelivery(Message message)` Process the redelivered message.
`void` | `setConnector(JmsConnector connector)` The connector associated with this handler is set before `handleRedelivery()` is called

Method Detail

### setConnector

    void setConnector(JmsConnector connector)

  The connector associated with this handler is set before `handleRedelivery()` is called

  Parameters:
    `connector` - the connector associated with this handler

### handleRedelivery

    void handleRedelivery(Message message)
                          throws JMSException,
                                 MessageRedeliveredException,
                                 MessagingException

  Process the redelivered message. If the JMS receiver should process the message, it should be returned. Otherwise the connector should throw a `MessageRedeliveredException` to indicate that the message should be handled by the connector's exception handler.

  Parameters:
    `message` -
  Throws:
    `JMSException` - if properties cannot be read from the JMSMessage
    `MessageRedeliveredException` - should be thrown if the message should be handled by the connection exception handler
    `MessagingException` - if there is a problem reading or proessing the message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.